package dev.peerat.mapping.providers;

import java.util.HashMap;
import java.util.Map;

public class ProviderManager{
	
	private static final ProviderManager SINGLETON = new ProviderManager();
	
	public static ProviderManager getInstance(){
		return SINGLETON;
	}
	
	private Map<String, Provider> providers;
	
	private ProviderManager(){
		this.providers = new HashMap<>();
	}
	
	public void register(String name, Provider provider){
		this.providers.put(name, provider);
	}
	
	public Provider getProvider(String name){
		return this.providers.get(name);
	}

}
